﻿using MudBlazor;

namespace ReportingServices.Client.Shared;

public partial class MainLayout
{
    bool _DrawerOpen = true;
    private bool _IsDarkMode;
    private MudThemeProvider? _MudThemeProvider;

    void DrawerToggle() => _DrawerOpen = !_DrawerOpen;

    protected override async Task OnAfterRenderAsync(bool firstRender)
    {
        if (firstRender && _MudThemeProvider is not null)
        {
            _IsDarkMode = await _MudThemeProvider.GetSystemPreference();
            StateHasChanged();
        }
    }

}